import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.awt.geom.Line2D;

/**
 * Eine Vitrine.
 * @author  claus albowski
 */
public class Vitrine extends Moebel
{
    Ecke ecke1;
    Mitte[] mitten;
    Ecke ecke2;
    int anz;  //speichert die Anzahl der Mittenelemente

   /**
   * Erzeuge eine neue Vitrine.
   */
    public Vitrine(int x, int y, String f, int o, int b, int anzahl)
  {
    xPosition = x; yPosition = y; farbe = f; orientierung = o; istSichtbar = false;
    breite = 4*b; tiefe  = b; anz = anzahl;
    mitten = new Mitte[anzahl];
    ecke1 = new Ecke(0, 0, f, o+90, b, b);
    if (anzahl>0)
        for (int i=0; i<anzahl;i++)
            mitten[i] = new Mitte(b+i*b, 0, f, o, b, b);
    ecke2 = new Ecke(b+anzahl*b, 0, f, o, b, b);
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath vitrine = new GeneralPath();
      vitrine.append(ecke1.gibAktuelleFigur(), false);
      if (anz>0) 
        for (int i=0; i<anz;i++)
            vitrine.append(mitten[i].gibAktuelleFigur(), false);
      vitrine.append(ecke2.gibAktuelleFigur(), false);
      return  transformiere(vitrine);
  }
 
}
